#ifndef PSCAL_HOLIDAYS_H
#define PSCAL_HOLIDAYS_H

#include "defs.h"
#include "structs.h"

int	easter();
int	good();
int	palm();

/* Moving holidays always occur, e.g., on the third Wednesday, or the
   last Friday, etc. */
struct moving_holiday	moving_holiday[] = {
	{ JANUARY,	3,	MONDAY,	"Martin Luther King,",
					"Jr.'s Birthday",	"(Observed)" },
	{ FEBRUARY,	3,	MONDAY,	"President's Day",	NULL,	NULL },
	{ MAY,		2,	SUNDAY,	"Mother's Day",		NULL,	NULL },
	{ MAY,		LAST,	MONDAY,	"Memorial Day",	"(Observed)",	NULL },
	{ JUNE,		3,	SUNDAY,	"Father's Day",		NULL,	NULL },
	{ SEPTEMBER,	1,	MONDAY,	"Labor Day",		NULL,	NULL },
	{ SEPTEMBER,	2,	SUNDAY,	"Grandparent's Day",	NULL,	NULL },
	{ NOVEMBER,	4,	THURSDAY,"Thanksgiving Day",	NULL,	NULL },
};

/* Strange holidays require a function to determine when they occur.
   An entry should be placed for each month in which the holiday may occur. */
struct strange_holiday	strange_holiday[] = {
	{ MARCH,	"Palm Sunday",		palm	},
	{ MARCH,	"Good Friday",		good	},
	{ MARCH,	"Easter Sunday",	easter	},
	{ APRIL,	"Palm Sunday",		palm	},
	{ APRIL,	"Good Friday",		good	},
	{ APRIL,	"Easter Sunday",	easter	},
};

#ifdef NOTDEF
/* Jewish holidays with fixed dates on the Jewish calendar */
struct fixed_holiday	Jewish_fixed[] = {
	{	TISHRI,		1,	"Rosh Hashanah",NULL	},
	{	TISHRI,		10,	"Yom Kippur",	NULL	},
	{	KISLEV,		25,	"First Day of",	"Hannukah"	},
	{	NISAN,		15,	"First Day of",	"Passover"	},
};
#endif

#endif /* PSCAL_HOLIDAYS_H */
