#ifndef PSCAL_STRUCTS_H
#define PSCAL_STRUCTS_H

#define STRLEN	32

struct month {
	char	*name;
	int	length;
};

struct date {
	int	month;
	int	day;
	int	year;
};

/*
 * Fixed holidays always fall on the same date.  Example: Christmas
 * Moving holidays always fall on the same day.  Example: Thanksgiving
 * Strange holidays require a function to determine their date.  Example: Easter
 *
 * The name silliness is due to the fact that none of the fixed holidays
 * I included required more than 2 lines, none of the moving holidays
 * required more than 3 lines, and none of the strange holidays required
 * more than 1 line.
 */
struct fixed_holiday {
	int	month;
	int	day;
	/*char	name1[STRLEN], name2[STRLEN]; */
	char	*name1, *name2;
};

struct one_time_event {
    int year;
    int month;
    int day;
    char *name1, *name2, *name3;
};

struct monthly_stuff {
    int year;
    int month;
    int discrim[2];
    int discrim_changed;
    int iigain[2];
    int iigain_changed;
};

struct moving_holiday {
	int	month;
	int	which;
	int	day;
	char	*name1, *name2, *name3;
};

struct strange_holiday {
	int	month;
	char	*name;
	int	(*func)();
};

#endif /* PSCAL_STRUCTS_H */
